Bug 178801 - Web Inspector: Canvas Tab: overview has layout issues at small widths, uses weird inter-row spacing
Summary: Web Inspector: Canvas Tab: overview has layout issues at small widths, uses w...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks: WebInspectorCanvasTab
  Show dependency treegraph
 
Reported: 2017-10-25 09:58 PDT by Brian Burg
Modified: 2017-12-04 17:29 PST (History)
4 users (show)

See Also:


Attachments
Screenshot (374.10 KB, image/png)
2017-10-25 09:58 PDT, Brian Burg
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Burg 2017-10-25 09:58:15 PDT
Created attachment 324837 [details]
Screenshot

Some issues:

- Inter-row spacing is way too big, IMO.
- Details sidebar should collapse automatically before reducing canvas preview size
- Buttons in canvas card's header should never wrap
Comment 1 Radar WebKit Bug Importer 2017-10-25 09:58:44 PDT
<rdar://problem/35175984>
Comment 2 Brian Burg 2017-11-06 15:19:12 PST
These are all fixed now, it appears.